Accounts APINamed accounts

Create named account order

POST
/orders/named-accounts

Authorization

BearerAuth
headerAuthorizationBearer <JWT>

Header Parameters

Idempotency-Key*string

It helps preventing duplicates in your POST requests. It is recommend using a UUID for the key, however you may use any other unique identifier you choose.

Lengthlength <= 160
X-Volt-Api-Version*1

Version of the API used. Currently, version 1 is the only version.

Value in1
X-Volt-Testing-Scenario?string

[SANDBOX ONLY] used to trigger specific transaction failure or verification mocks.

Value in"PAYOUT_REJECTED""ACCOUNT_HOLDER_VERIFICATION_CLOSE_MATCH""ACCOUNT_HOLDER_VERIFICATION_NO_MATCH""ACCOUNT_HOLDER_VERIFICATION_ERROR""ONBOARDING_REJECTED""ONBOARDING_ADDITIONAL_INFO_REQUIRED""ONBOARDING_ADDITIONAL_INFO_REQUIRED_NAME_MISMATCH""ONBOARDING_EXPIRED""ORDER_NAMED_ACCOUNTS_FAILED"

Request Body

application/json
  1. body

Request to create a named account from an approved onboarding.

onboardingEntityId*string

ID of the approved onboarding entity

Formatuuid
currency*CurrencyCode

Three-letter ISO 4217 currency code.

Match^[A-Z]{3}$
communication?

Response Body

Named account order has been accepted

application/json
  1. response

Named account order status and details.

id?string

Unique identifier of the named account order

Formatuuid
onboardingEntityId?string

ID of the associated onboarding entity

Formatuuid
accountId?|

ID of the created account (only present when status is COMPLETED)

Formatuuid
status?NamedAccountOrderStatusEnum

Current status of the named account order

Value in"PROCESSING""COMPLETED""FAILED"
statusReason?string

Reason for the current status (e.g., failure reason)

createdAt?string

Timestamp when the order was created

Formatdate-time
completedAt?string

Timestamp when the account was created

Formatdate-time
Example Request
curl -X POST 'https://accounts.sandbox.volt.io/orders/named-accounts' \  -H 'Idempotency-Key: 85136c79cbf9fe36bb9d05d0639c70c265c18d37' \  -H 'X-Volt-Api-Version: 1' \  -H 'Content-Type: application/json' \  -d '{  "onboardingEntityId": "a1b2c3d4-5678-90ab-cdef-1234567890ab",  "currency": "EUR",  "communication": {    "notifications": {      "url": "https://mywebsite.com/webhooks"    }  }}'
Example Response
{  "id": "order-5678-90ab-cdef-1234567890ab"}